# RealPolyhedralHomotopy.jl

`RealPolyhedralHomotopy.jl` is a package for finding real roots of systems of polynomial equations using polyhedral homotopy.
The package implements the algorithm for the real polyhedral homotopy establised in [A Polyhedral Homotopy Algorithm For Real Zeros](https://arxiv.org/abs/1910.01957). The idea for the real polyhedral homotopy motivated from the celebrated article [A Polyhedral Method for Solving Sparse Polynomial Systems](https://www.jstor.org/stable/2153370?seq=1) to apply the polyhedral homotopy method for real roots finding.



## Documents
[![](https://img.shields.io/badge/docs-stable-blue.svg)](https://klee669.github.io/RealPolyhedralHomotopy.jl/stable)
[![](https://img.shields.io/badge/docs-dev-blue.svg)](https://klee669.github.io/RealPolyhedralHomotopy.jl/dev)


## Installation

The package can be installed via the Julia package manager. It is suggested to use Julia 1.6.1 or higher.
```julia
pkg> add RealPolyhedralHomotopy
```

## Getting Started

To find a preliminary example of how the functions in this package work see [this tutorial](https://github.com/klee669/RealPolyhedralHomotopy.jl/blob/main/docs/src/index.md), otherwise see the [documentation](https://klee669.github.io/RealPolyhedralHomotopy.jl/dev/#Installation) for more details.

